# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20027(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'results': 'list[PagedResponseExpandedGroupResults]',
        'next_link': 'str',
        'prev_link': 'str',
        'total_results': 'int'
    }

    attribute_map = {
        'results': 'results',
        'next_link': 'nextLink',
        'prev_link': 'prevLink',
        'total_results': 'totalResults'
    }

    def __init__(self, results=None, next_link=None, prev_link=None, total_results=None):  # noqa: E501
        """InlineResponse20027 - a model defined in Swagger"""  # noqa: E501
        self._results = None
        self._next_link = None
        self._prev_link = None
        self._total_results = None
        self.discriminator = None
        if results is not None:
            self.results = results
        if next_link is not None:
            self.next_link = next_link
        if prev_link is not None:
            self.prev_link = prev_link
        if total_results is not None:
            self.total_results = total_results

    @property
    def results(self):
        """Gets the results of this InlineResponse20027.  # noqa: E501

        The list of results.  # noqa: E501

        :return: The results of this InlineResponse20027.  # noqa: E501
        :rtype: list[PagedResponseExpandedGroupResults]
        """
        return self._results

    @results.setter
    def results(self, results):
        """Sets the results of this InlineResponse20027.

        The list of results.  # noqa: E501

        :param results: The results of this InlineResponse20027.  # noqa: E501
        :type: list[PagedResponseExpandedGroupResults]
        """

        self._results = results

    @property
    def next_link(self):
        """Gets the next_link of this InlineResponse20027.  # noqa: E501

        URL to the next page of results.  # noqa: E501

        :return: The next_link of this InlineResponse20027.  # noqa: E501
        :rtype: str
        """
        return self._next_link

    @next_link.setter
    def next_link(self, next_link):
        """Sets the next_link of this InlineResponse20027.

        URL to the next page of results.  # noqa: E501

        :param next_link: The next_link of this InlineResponse20027.  # noqa: E501
        :type: str
        """

        self._next_link = next_link

    @property
    def prev_link(self):
        """Gets the prev_link of this InlineResponse20027.  # noqa: E501

        URL to the previous page of result.  # noqa: E501

        :return: The prev_link of this InlineResponse20027.  # noqa: E501
        :rtype: str
        """
        return self._prev_link

    @prev_link.setter
    def prev_link(self, prev_link):
        """Sets the prev_link of this InlineResponse20027.

        URL to the previous page of result.  # noqa: E501

        :param prev_link: The prev_link of this InlineResponse20027.  # noqa: E501
        :type: str
        """

        self._prev_link = prev_link

    @property
    def total_results(self):
        """Gets the total_results of this InlineResponse20027.  # noqa: E501

        The total number of results on all pages.  # noqa: E501

        :return: The total_results of this InlineResponse20027.  # noqa: E501
        :rtype: int
        """
        return self._total_results

    @total_results.setter
    def total_results(self, total_results):
        """Sets the total_results of this InlineResponse20027.

        The total number of results on all pages.  # noqa: E501

        :param total_results: The total_results of this InlineResponse20027.  # noqa: E501
        :type: int
        """

        self._total_results = total_results

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20027, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20027):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
